# Create a filter

Another common scenario is creating a filter for your table for easier navigation through the records. Check out the instruction below to find out how you can do that:point\_down:

## **To add a filter:**

1. Locate the **Text input** component in the **Components** tab and drop it to the working area.
2. Give your component a meaningful name and specify any other parameters you need in the right hand panel.
3. Here, also navigate to the **Triggers** section and for the **On Change** trigger select your *loadUsers* action.
4. Next, go to this action and add a filter to return the values corresponding to the user email. \
   In our case, we configured the following filter:\
   &#x20;`email like {{ui.input.value}}`

Done! If you now start typing user email in the input form, the table will return any corresponding records that exist.

{% embed url="<https://demo.arcade.software/UBdLt1Qv5dlWxoB7mntN?embed=&embed_desktop=inline&embed_mobile=tab&show_copy_link=true>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uibakery.io/build-from-scratch/getting-started/create-a-filter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
